
// Periodical Ethernet (UDP) packet sender S

#include <EtherCard.h>

const int period = 25 * 200;

const byte myID = 60;
const byte hisID1 = 61;
const byte hisID2 = 62;

static byte mymac[] = { 0x1A, 0x2B, 0x3C, 0x4D, 0x5E, myID };
static byte hismac1[] = { 0x1A, 0x2B, 0x3C, 0x4D, 0x5E, hisID1 };
static byte hismac2[] = { 0x1A, 0x2B, 0x3C, 0x4D, 0x5E, hisID2 };
static byte type2payload[] = { 0x00, 0x00,  0x04, 0x03, 0x02, 0x01 };

byte Ethernet::buffer[1600];
static uint32_t timer = 0;

void setup() {
  Serial.begin(9600);

  // Change 'SS' to your Slave Select pin, if you arn't using the default pin
  if (ether.begin(sizeof Ethernet::buffer, mymac, SS) == 0)
    Serial.println("Failed to access Ethernet controller");
}

void sendEther1() {
  EtherCard::copyMac(ether.buffer + ETH_DST_MAC, hismac1);
  EtherCard::copyMac(ether.buffer + ETH_SRC_MAC, mymac);
  memcpy(ether.buffer + 12, type2payload, sizeof(type2payload));
  EtherCard::packetSend(12 + sizeof(type2payload));
}

void sendEther2() {
  EtherCard::copyMac(ether.buffer + ETH_DST_MAC, hismac2);
  EtherCard::copyMac(ether.buffer + ETH_SRC_MAC, mymac);
  memcpy(ether.buffer + 12, type2payload, sizeof(type2payload));
  EtherCard::packetSend(12 + sizeof(type2payload));
}

void loop() {
  if (millis() > timer) {
    timer = millis() + period;
    sendEther1();
    sendEther2();
    Serial.println(period);
  }
}

