// Periodical Ethernet (UDP) packet sender C2

#include <EtherCard.h>

const int period = 5 * 200;

const byte myID = 62;
const byte hisID = 60;

static byte mymac[] = { 0x1A, 0x2B, 0x3C, 0x4D, 0x5E, myID };
static byte hismac[] = { 0x1A, 0x2B, 0x3C, 0x4D, 0x5E, hisID };
static byte type2payload[] = { 0x00, 0x00,  0x01, 0x02, 0x03, 0x04 };

byte Ethernet::buffer[1600];
static uint32_t timer = 0;

void setup() {
  Serial.begin(9600);

  // Change 'SS' to your Slave Select pin, if you arn't using the default pin
  if (ether.begin(sizeof Ethernet::buffer, mymac, SS) == 0)
    Serial.println("Failed to access Ethernet controller");
}

void sendEther() {
  EtherCard::copyMac(ether.buffer + ETH_DST_MAC, hismac);
  EtherCard::copyMac(ether.buffer + ETH_SRC_MAC, mymac);
  memcpy(ether.buffer + 12, type2payload, sizeof(type2payload));
  EtherCard::packetSend(12 + sizeof(type2payload));
}

void loop() {
  if (millis() > timer) {
    timer = millis() + period;
    sendEther();
    Serial.println(period);
  }
}
